#!/bin/sh
#
# AUTO UPGRADE SCRIPT
#	This script is executed by the login_policy script each time
#	an endpoint logs into the gateway.  This script will upgrade
#	the endpoint if the available version in the EPUPG.INF file
#	is greater than the current version of the endpoint.
#	NOTE: This script does not attempt to log output.
#	If logging is required, the user should create a directory with
#	write permission by 'nobody' then redirect output to a
#	file in this location.
#
set -x
set +e
EP=$1
EPVER=$2
EPINTERP=$3
BO=`objcall 0.0.0 self`
OS=`objcall $BO getattr oserv`
INSTALLDIR=`objcall $OS query install_dir|tr '\\\\' '/'`
BINDIR=$INSTALLDIR"/"$INTERP
export BINDIR
EPOID=`wlookup -r Endpoint $EP`
if [ "$EPINTERP" = "os2" ]; then
	EPUPGINFFILE=$INSTALLDIR/lcf_bundle.41000/bin/os2-ix86/upgrade/EPUPG.INF
else
	EPUPGINFFILE=$INSTALLDIR/lcf_bundle.41000/bin/$EPINTERP/upgrade/EPUPG.INF
fi
EPUPGCNTLFILE=$INSTALLDIR/lcf_bundle.41000/upgrade/upgrade.cntl
ret=`grep upgrade_mode $EPUPGCNTLFILE | awk -F= '{print $2}'`
if [ -z "$ret" ]; then
	exit 0
fi
ret=`echo $ret | grep auto`
if [ -z "$ret" ]; then
	exit 0
fi	
ret=`grep current_version $EPUPGINFFILE | awk -F= '{print $2}'`
LATESTEPVER=`echo $ret | awk -F. '{print $1}'`
if [ -n "$EPVER" ]; then
    if [ -n "$LATESTEPVER" ]; then
	if [ "$EPVER" -lt "$LATESTEPVER" ]; then
		ret=`$BINDIR/bin/wadminep $EP upgrade $INSTALLDIR/lcf_bundle.41000`
	else
		:
	fi
    fi
fi
set -e
exit 0
